Magick::DrawableCircle Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableCircle:
[legend]
Collaboration diagram for Magick::DrawableCircle:
[legend]

## Public Member Functions

| DrawableCircle (double originX_, double originY_, double perimX_, double perimY_)
| ~DrawableCircle (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | originX (double originX_)
double | originX (void) const
void | originY (double originY_)
double | originY (void) const
void | perimX (double perimX_)
double | perimX (void) const
void | perimY (double perimY_)
double | perimY (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 606 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableCircle()

Magick::DrawableCircle::DrawableCircle | ( | double | originX_,
|  | double | originY_,
|  | double | perimX_,
|  | double | perimY_
| ) |  |

inline

Definition at line 609 of file Drawable.h.

## ~DrawableCircle()

Magick::DrawableCircle::~DrawableCircle | ( | void |  | ) |

Definition at line 458 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableCircle::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 465 of file Drawable.cpp.

## operator()()

void Magick::DrawableCircle::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 461 of file Drawable.cpp.

## originX() [1/2]

void Magick::DrawableCircle::originX | ( | double | originX_ | ) |

inline

Definition at line 626 of file Drawable.h.

## originX() [2/2]

double Magick::DrawableCircle::originX | ( | void |  | ) | const

inline

Definition at line 630 of file Drawable.h.

## originY() [1/2]

void Magick::DrawableCircle::originY | ( | double | originY_ | ) |

inline

Definition at line 635 of file Drawable.h.

## originY() [2/2]

double Magick::DrawableCircle::originY | ( | void |  | ) | const

inline

Definition at line 639 of file Drawable.h.

## perimX() [1/2]

void Magick::DrawableCircle::perimX | ( | double | perimX_ | ) |

inline

Definition at line 644 of file Drawable.h.

## perimX() [2/2]

double Magick::DrawableCircle::perimX | ( | void |  | ) | const

inline

Definition at line 648 of file Drawable.h.

## perimY() [1/2]

void Magick::DrawableCircle::perimY | ( | double | perimY_ | ) |

inline

Definition at line 653 of file Drawable.h.

## perimY() [2/2]

double Magick::DrawableCircle::perimY | ( | void |  | ) | const

inline

Definition at line 657 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp